Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.pk
Interface KeyStoreMBean

All Known Subinterfaces:
  DefaultKeyStoreMBean

public interface KeyStoreMBean
extends weblogic.management.commo.StandardInterface, ProviderMBean

The SSPI MBean that all Keystore providers must extend.

Method Summary
`java.lang.String` | `getPrivateKeyStoreLocation()` The location of a private Keystore.
`java.lang.String` | `getPrivateKeyStorePassPhrase()` The password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute.
`java.lang.String` | `getRootCAKeyStoreLocation()` The location of a Root Certificate Authority Keystore.
`java.lang.String` | `getRootCAKeyStorePassPhrase()` The password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute.
`java.lang.String` | `getType()` The type of the Keystore implementation, as defined by the JavaSoft Cryptography Architecture specification.
`void` | `setPrivateKeyStoreLocation(java.lang.String newValue)` The location of a private Keystore.
`void` | `setPrivateKeyStorePassPhrase(java.lang.String newValue)` The password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute.
`void` | `setRootCAKeyStoreLocation(java.lang.String newValue)` The location of a Root Certificate Authority Keystore.
`void` | `setRootCAKeyStorePassPhrase(java.lang.String newValue)` The password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getProviderClassName, getRealm, getVersion, setRealm`

Method Detail

### getPrivateKeyStorePassPhrase

    public java.lang.String getPrivateKeyStorePassPhrase()

  The password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute. If you set a null value, no password is required to access the private Keystore.

  Default Value: null

### setPrivateKeyStorePassPhrase

    public void setPrivateKeyStorePassPhrase(java.lang.String newValue)
                                      throws javax.management.InvalidAttributeValueException

  The password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute. If you set a null value, no password is required to access the private Keystore.

  Parameters:
    `newValue` - - new value for attribute PrivateKeyStorePassPhrase
  Throws:
    javax.management.InvalidAttributeValueException -

### getPrivateKeyStoreLocation

    public java.lang.String getPrivateKeyStoreLocation()

  The location of a private Keystore. The configured Keystore implementation determines the input requirements for this attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null

### setPrivateKeyStoreLocation

    public void setPrivateKeyStoreLocation(java.lang.String newValue)
                                    throws javax.management.InvalidAttributeValueException

  The location of a private Keystore. The configured Keystore implementation determines the input requirements for this attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Parameters:
    `newValue` - - new value for attribute PrivateKeyStoreLocation
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootCAKeyStorePassPhrase

    public java.lang.String getRootCAKeyStorePassPhrase()

  The password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute. A Root Certificate Authority Keystore stores trusted Certificate Authorities. If you set a null value, no password is required to access the Root Certificate Authority KeyStore. This behavior may be overridden by the configured KeyStore implementation.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null

### setRootCAKeyStorePassPhrase

    public void setRootCAKeyStorePassPhrase(java.lang.String newValue)
                                     throws javax.management.InvalidAttributeValueException

  The password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute. A Root Certificate Authority Keystore stores trusted Certificate Authorities. If you set a null value, no password is required to access the Root Certificate Authority KeyStore. This behavior may be overridden by the configured KeyStore implementation.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Parameters:
    `newValue` - - new value for attribute RootCAKeyStorePassPhrase
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootCAKeyStoreLocation

    public java.lang.String getRootCAKeyStoreLocation()

  The location of a Root Certificate Authority Keystore. The configured Keystore implementation determines the input requirements for this attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null

### setRootCAKeyStoreLocation

    public void setRootCAKeyStoreLocation(java.lang.String newValue)
                                   throws javax.management.InvalidAttributeValueException

  The location of a Root Certificate Authority Keystore. The configured Keystore implementation determines the input requirements for this attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Parameters:
    `newValue` - - new value for attribute RootCAKeyStoreLocation
  Throws:
    javax.management.InvalidAttributeValueException -

### getType

    public java.lang.String getType()

  The type of the Keystore implementation, as defined by the JavaSoft Cryptography Architecture specification.

  Default Value: "jks"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference